Bump libtool version (not package version) to 4:0:0.
authorUwe Hermann <uwe@hermann-uwe.de>
Mon, 12 Jun 2017 01:16:21 +0000 (03:16 +0200)
committerUwe Hermann <uwe@hermann-uwe.de>
Mon, 12 Jun 2017 01:16:21 +0000 (03:16 +0200)
The last release (0.4.0) had the libtool version (current:revision:age)
set to 3:0:0. Since this release removes and changes interfaces, the
new version is 4:0:0.

http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info

This changes the library filename (e.g. on Linux) from
libsigrokdecode.so.3.0.0 to libsigrokdecode.so.4.0.0, the SONAME
(+symlink) becomes libsigrokdecode.so.4.

configure.ac

index 8b6b2b417d1b5c73e90bb50ae971680470d3daf1..16aab585e7c591f9b06af816de62e36856048c09 100644 (file)
@@ -63,7 +63,7 @@ SR_PKG_VERSION_SET([SRD_PACKAGE_VERSION], [AC_PACKAGE_VERSION])
 # The algorithm for determining which number to change (and how) is nontrivial!
 # http://www.gnu.org/software/libtool/manual/libtool.html#Updating-version-info
 # Format: current:revision:age.
-SR_LIB_VERSION_SET([SRD_LIB_VERSION], [3:0:0])
+SR_LIB_VERSION_SET([SRD_LIB_VERSION], [4:0:0])
 
 AM_CONDITIONAL([WIN32], [test -z "${host_os##mingw*}" || test -z "${host_os##cygwin*}"])